Debian Bug report logs - #491454
Known bugs in OSS support can and should be fixed

version graph

Package: flashplugin-nonfree-extrasound; Maintainer for flashplugin-nonfree-extrasound is Debian QA Group <packages@qa.debian.org>; Source for flashplugin-nonfree-extrasound is src:flashplugin-nonfree-extrasound.

Reported by: "Yair K." <cesium2@gmail.com>

Date: Sat, 19 Jul 2008 15:24:02 UTC

Severity: normal

Found in version flashplugin-nonfree-extrasound/0.0.svn2431-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#491454; Package flashplugin-nonfree-extrasound. Full text and rfc822 format available.

Acknowledgement sent to "Yair K." <cesium2@gmail.com>:
New Bug report received and forwarded. Copy sent to Petter Reinholdtsen <pere@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Yair K." <cesium2@gmail.com>
To: submit@bugs.debian.org
Subject: Known bugs in OSS support can and should be fixed
Date: Sat, 19 Jul 2008 18:21:50 +0300
Package:  flashplugin-nonfree-extrasound
Version: 0.0.svn2431-3
Severity: normal

The Adobe wiki talk page [1] identifies a number of issues with OSS support offered by this flashsupport version, namely:
  writes out of buffer.
  inappropriate resetting of soundcard (leading to browser hang).
  wrong return value.

In all of these cases, a fix is identified in the page, but in case there's any ambiguity, I think the flashsupport version offered by the OSS developers at 4front[2] can be used for references on how to fix these issues.

[1] http://labs.adobe.com/wiki/index.php/Talk:Flash_Player:Additional_Interface_Support_for_Linux#A_few_bugs
[2] http://mercurial.opensound.com/?file/b28016ff0f61/oss/lib/flashsupport.c

Yours,
	Yair K.




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#491454; Package flashplugin-nonfree-extrasound. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. Full text and rfc822 format available.

Message #10 received at 491454@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: "Yair K." <cesium2@gmail.com>, 491454@bugs.debian.org
Subject: Re: Bug#491454: Known bugs in OSS support can and should be fixed
Date: Sat, 19 Jul 2008 17:56:09 +0200
[Yair K.]
> In all of these cases, a fix is identified in the page, but in case
> there's any ambiguity, I think the flashsupport version offered by
> the OSS developers at 4front[2] can be used for references on how to
> fix these issues.

Sound like a good idea.  Do you have time to provide patches?  I'll
try to find time to look at it, but will not have time to fix it the
next week, ie before Lenny freezes.

NMU at will.

If someone want to take over maintainence of this package, please go
ahead.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#491454; Package flashplugin-nonfree-extrasound. Full text and rfc822 format available.

Acknowledgement sent to "Yair K." <cesium2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. Full text and rfc822 format available.

Message #15 received at 491454@bugs.debian.org (full text, mbox):

From: "Yair K." <cesium2@gmail.com>
To: 491454@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>
Subject: Re: Bug#491454: Known bugs in OSS support can and should be fixed
Date: Sat, 19 Jul 2008 20:00:28 +0300
[Message part 1 (text/plain, inline)]
On Saturday 19 July 2008 18:56:09 Petter Reinholdtsen wrote:
> [Yair K.]
> > In all of these cases, a fix is identified in the page, but in case
> > there's any ambiguity, I think the flashsupport version offered by
> > the OSS developers at 4front[2] can be used for references on how to
> > fix these issues.
> 
> Sound like a good idea.  Do you have time to provide patches?  I'll
> try to find time to look at it, but will not have time to fix it the
> next week, ie before Lenny freezes.

Here it is. I've followed the notes from the wiki page. In addition I've changed the cast when audiodebug is enabled (using %p instead of %d).

Yours,
	Yair K.
[flashsupport.diff.zip (application/x-zip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#491454; Package flashplugin-nonfree-extrasound. Full text and rfc822 format available.

Acknowledgement sent to Leonardo Amaral <leleobhz@leleobhz.org>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. Full text and rfc822 format available.

Message #20 received at 491454@bugs.debian.org (full text, mbox):

From: Leonardo Amaral <leleobhz@leleobhz.org>
To: 491454-subscribe@bugs.debian.org, 491454@bugs.debian.org
Subject: Known bugs in OSS support can and should be fixed
Date: Tue, 26 Aug 2008 10:09:35 -0300
[Message part 1 (text/plain, inline)]
Debian patch attached

Cheers

-- 
Leonardo Amaral - Administrador de Sistemas Linux
Tel: 31 8432-5025 / 31 4062-7411
Cerificado LPIC-1 LPI000106747

"Eu gosto das cousas. As cousas sim! 
As pessoas atrapalham. Estão em toda parte. 
Multiplicam-se em excesso. As cousas são quietas. 
Bastam-se. Não semetem com ninguém. E não exigem nada. 
Apenas que não as tirem do lugar onde estão." - Mario Quintana
[flashplugin-nonfree-extrasound_0.0.svn2431-3.diff.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#491454; Package flashplugin-nonfree-extrasound. (Sat, 10 Jan 2009 12:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ottoshmidt <omagaldadze@avoe.ge>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Sat, 10 Jan 2009 12:27:02 GMT) Full text and rfc822 format available.

Message #25 received at 491454@bugs.debian.org (full text, mbox):

From: ottoshmidt <omagaldadze@avoe.ge>
To: 491454@bugs.debian.org
Subject: support needed
Date: Sat, 10 Jan 2009 16:23:28 +0400
Hi all,

what should I do with those packages provided:
[flashsupport.diff.zip,[flashplugin-nonfree-extrasound_0.0.svn2431-3.diff.gz, [signature.asc

Sincerely,
Oto Magaldadze





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:34:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.